Bug 854519 - rhevm-shell does not exit shell when using -f option with non-existing file
rhevm-shell does not exit shell when using -f option with non-existing file
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-cli (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity medium
: ---
: 3.4.0
Assigned To: Ravi Nori
Ilia Meerovich
infra
:
Depends On: 895559
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-05 04:52 EDT by Ilia Meerovich
Modified: 2016-07-04 20:07 EDT (History)
8 users (show)

See Also:
Fixed In Version: ovirt-3.4.0-alpha1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 12212 None None None Never

  None (edit)
Description Ilia Meerovich 2012-09-05 04:52:44 EDT
I'm passing file that doesn't exists, I can see error but shell remains open:
"""
[imeerovi@imeerovi ART]$ rhevm-shell -l "https://aqua-rhel.qa.lab.tlv.redhat.com:443/api/" -u "vdcadmin@qa.lab.tlv.redhat.com" -p "123456" -I -f bug

 ==========================================
 >>> connected to RHEVM manager 3.1.0.0 <<<
 ==========================================


error: [Errno 2] No such file or directory: 'bug'

[RHEVM shell (connected)]#
"""

If i understand correct -f option will be very useful for system scripts.
So in order to ease system programmers life maybe it will be better to close connection with rc and message rather remain it open.


rpm version: rhevm-cli-3.1.0.10-1.el6ev.noarch
Comment 1 Michael Pasternak 2013-02-19 11:35:46 EST
the thing is that shell currently writes only to own private I/O stream, so by implementing this RFE entire script output will be swallowed,

postponing this BZ till #895559 got implemented
Comment 2 Ilia Meerovich 2014-01-21 05:54:26 EST
verified with ovirt-engine-cli-3.4.0.2-1.20140112.git01360ed.el6.noarch
Comment 3 Itamar Heim 2014-06-12 10:11:41 EDT
Closing as part of 3.4.0

Note You need to log in before you can comment on or make changes to this bug.